//Start button
void buttonon
{
sp_pframe(&current_sprite,2)
Playsound(20,22050,0,0,0)
}

void buttonoff
{
sp_pframe(&current_sprite,1)
Playsound(21,22050,0,0,0)
}

void click
{
say_xy("`%Creating new game...",0,390)
wait(1)
sp_base_walk(1,70)
sp_base_attack(1,100)
set_mode(2)
reset_timer
sp_dir(1,4)
sp_brain(1,1)
sp_que(1,0)
sp_noclip(1,0)

add_item("item-fst",438,1)
&cur_weapon = 1
arm_weapon()

//Make Dink's status bar update, and draw the status bar
&update_status = 1
draw_status

kill_this_task
}